org.apache.ignite.internal.visor.query

## Class VisorQueryTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorQueryArg,IgniteBiTuple<? extends Exception,VisorQueryResultEx>>
    - - org.apache.ignite.internal.visor.query.VisorQueryTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorQueryArg>,IgniteBiTuple<? extends Exception,VisorQueryResultEx>>

    @GridInternal
    public class VisorQueryTask
    extends VisorOneNodeTask<VisorQueryArg,IgniteBiTuple<? extends Exception,VisorQueryResultEx>>

Task for execute SCAN or SQL query and get first page of results.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryTask()`

### Method Summary

Methods
`protected VisorQueryJob` `job(VisorQueryArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorQueryTask

    public VisorQueryTask()

### Method Detail

#### job

    protected VisorQueryJob job(VisorQueryArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorQueryArg,IgniteBiTuple<? extends Exception,VisorQueryResultEx>,IgniteBiTuple<? extends Exception,VisorQueryResultEx>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015